logo
AgentsDelete agent

Delete agent

Soft-deletes an agent by setting isActive to false. The agent will no longer appear in list results.

curl -X DELETE "https://api.sendkit.ai/v1/agents/example_string" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_KEY"
{
  "success": true,
  "data": {
    "message": "Agent deleted"
  }
}
DELETE
/v1/agents/{agentId}
DELETE
API Key (header: X-Api-Key)
X-Api-Keystring
Required

Platform API key (sk_user_...) or Workspace API key (sk_...)

Platform API key (sk_user_...) or Workspace API key (sk_...)
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-Api-Keystring
Required

API Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)

Path Parameters

Responses

successboolean
dataobject